Skip to main content
GET
/
public
/
v1
/
statistical-journals
/
{record_number}
/
Get StatisticalJournal record
curl --request GET \
  --url https://api.dualentry.com/public/v1/statistical-journals/{record_number}/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/statistical-journals/{record_number}/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/statistical-journals/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "number": 123,
  "company_id": 123,
  "period": "2023-12-25",
  "memo": "<string>",
  "total_quantity": "<string>",
  "items": [
    {
      "id": 123,
      "account_id": 123,
      "account_name": "<string>",
      "account_number": 123,
      "company_id": 123,
      "value": "<string>",
      "position": 123,
      "memo": "<string>",
      "classifications": [
        {
          "id": 123,
          "name": "<string>",
          "line_id": 123,
          "line_name": "<string>"
        }
      ],
      "company_name": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "company_name": "<string>"
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Query Parameters

search
string | null
number
integer[] | null
company_id
integer[] | null
account_id
integer[] | null
period_start
string<date> | null
period_end
string<date> | null
updated_after
string<date-time> | null
updated_before
string<date-time> | null

Response

OK

number
integer
required
company_id
integer | null
required
period
string<date>
required
memo
string
required
total_quantity
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
items
PublicStatisticalJournalLineSchemaOut · object[]
required
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

company_name
string | null
Last modified on July 8, 2026